AbstractTemplateVariableBinding (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.taglib

## [Java] Class AbstractTemplateVariableBinding

- org.grails.taglib.AbstractTemplateVariableBinding

- Abstract super class for GroovyPage bindings

  Authors:
    Graeme Rocher
    Lari Hotari

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `AbstractTemplateVariableBinding.BindingMapEntry` |
    `protected static class` | `AbstractTemplateVariableBinding.TemplateVariableBindingMap` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractTemplateVariableBinding ()`
    `AbstractTemplateVariableBinding (java.util.Map variables)`
    `AbstractTemplateVariableBinding (java.lang.String[] args)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addMap(java.util.Map additionalBinding)`
    `groovy.lang.Binding` | `findBindingForVariable(java.lang.String name)`
    `java.util.Set<java.lang.String>` | `getVariableNames()`
    `java.util.Map` | `getVariables()`
    `java.util.Map` | `getVariablesMap()`
    `protected void` | `internalSetVariable(java.lang.String name, java.lang.Object value)`
    `boolean` | `isVariableCachingAllowed(java.lang.String name)`
    `void` | `setVariableDirectly(java.lang.String name, java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.Binding` | `groovy.lang.Binding#getVariables(), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public AbstractTemplateVariableBinding()

    - #### public AbstractTemplateVariableBinding(java.util.Map variables)

    - #### public AbstractTemplateVariableBinding(java.lang.String[] args)

  - ### Method Detail

    - #### public void addMap(java.util.Map additionalBinding)

    - #### public groovy.lang.Binding findBindingForVariable(java.lang.String name)

    - #### public java.util.Set<java.lang.String> getVariableNames()

    - #### @java.lang.Override public java.util.Map getVariables()

    - #### public java.util.Map getVariablesMap()

    - #### protected void internalSetVariable(java.lang.String name, java.lang.Object value)

    - #### public boolean isVariableCachingAllowed(java.lang.String name)

    - #### @java.lang.SuppressWarnings("unchecked") public void setVariableDirectly(java.lang.String name, java.lang.Object value)